Page MenuHomePhabricator

Wrong AF variables computed for MassMessage account for edits on Flow topics
Closed, ResolvedPublic

Description

See for example: https://www.mediawiki.org/wiki/Special:AbuseFilter/examine/log/80822

  • Observed: user_name - 127.0.0.1 user_editcount - null
  • Expected: user_name - MediaWiki message delivery user_editcount - whatever is the actual editcount

Event Timeline

Glaisher created this task.Oct 19 2015, 4:54 PM
Glaisher updated the task description. (Show Details)
Glaisher raised the priority of this task from to Needs Triage.
Glaisher added a subscriber: Glaisher.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 19 2015, 4:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Legoktm triaged this task as High priority.Oct 19 2015, 4:55 PM
Legoktm added a subscriber: Legoktm.

Flow reads and stores the value of $wgUser during $wgExtensionFunctions in FlowHooks::getAbuseFilter(), which is way too early.

Change 247301 had a related patch set uploaded (by Legoktm):
AbuseFilter: Get user from context instead of at initialization

https://gerrit.wikimedia.org/r/247301

Legoktm claimed this task.Oct 19 2015, 5:32 PM
Legoktm set Security to None.

Change 247301 merged by jenkins-bot:
AbuseFilter: Get user from context instead of at initialization

https://gerrit.wikimedia.org/r/247301

Legoktm closed this task as Resolved.Oct 23 2015, 5:59 PM
Glaisher reopened this task as Open.Oct 29 2015, 10:53 AM

Looks like this is still not fixed...

Glaisher closed this task as Resolved.Oct 29 2015, 10:56 AM

It's actually fixed. https://www.mediawiki.org/wiki/Special:AbuseFilter/examine/2140225 I guess I updated the filter before this reached mediawiki.org causing it to be blocked again.